# Visualization
TKMeshVS
MeshVS

# MeshVS_DataMapNodeOfDataMapOfIntegerColor Class Reference

`#include <MeshVS_DataMapNodeOfDataMapOfIntegerColor.hxx>`

## Public Member Functions

| MeshVS_DataMapNodeOfDataMapOfIntegerColor (const Standard_Integer &K, const Quantity_Color &I, const TCollection_MapNodePtr &n)
Standard_Integer & | Key () const
Quantity_Color & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | myKey
Quantity_Color | myValue

## Constructor & Destructor Documentation

MeshVS_DataMapNodeOfDataMapOfIntegerColor::MeshVS_DataMapNodeOfDataMapOfIntegerColor | ( | const Standard_Integer & | K,
|  | const Quantity_Color & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const MeshVS_DataMapNodeOfDataMapOfIntegerColor::Handle | ( | Standard_Type |  | ) | const

Standard_Integer& MeshVS_DataMapNodeOfDataMapOfIntegerColor::Key | ( |  | ) | const

Quantity_Color& MeshVS_DataMapNodeOfDataMapOfIntegerColor::Value | ( |  | ) | const

## Field Documentation

Standard_Integer MeshVS_DataMapNodeOfDataMapOfIntegerColor::myKey `[private]`

Quantity_Color MeshVS_DataMapNodeOfDataMapOfIntegerColor::myValue `[private]`

The documentation for this class was generated from the following file:

- MeshVS_DataMapNodeOfDataMapOfIntegerColor.hxx